> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/retrieve-current-user-account-details.md).

# 检索当前用户的账户详情

此端点允许您检索当前已认证用户的账户详情。

## 端点

```
GET /api/v1/account/
```

## 认证

此端点需要使用 JWT 令牌进行身份验证。

## 请求

不需要请求参数。

## 响应

```json
{
  "id": "user_id",
  "email": "user@example.com",
  "name": "用户名"
}
```

## 用户资料（扩展信息）

要获取更详细的用户资料信息，您可以使用：

```
GET /api/v1/me/
```

### 扩展响应

```json
{
  "id": "用户名",
  "email": "用户@example.com",
  "name": "用户名",
  "user_onboarding_status": 7,
  "dev_onboarding_status": 3,
  "company_name": "公司",
  "website": "https://example.com",
  "bio": "用户简介",
  "team": [
    {
      "id": "团队_id", 
      "name": "团队名称", 
      "image_url": "url", 
      "role": "管理员"
    }
  ],
  "embed_quota": 10000,
  "current_usage": 500,
  "email_verified": true
}
```

## 错误响应

| 状态码 | 描述                 |
| --- | ------------------ |
| 401 | 未授权 - 无效或缺失的身份验证凭据 |
| 403 | 禁止 - 用户没有权限访问此资源   |
| 500 | 内部服务器错误 - 服务器出现问题  |

## 使用示例

### 使用 cURL

```bash
curl -H "Authorization: Bearer YOUR_JWT_TOKEN" https://api.rememberizer.ai/api/v1/account/
```

### 使用 JavaScript

```javascript
const response = await fetch('https://api.rememberizer.ai/api/v1/account/', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_JWT_TOKEN'
  }
});
const data = await response.json();
console.log(data);
```

### 使用 Python

```python
import requests

headers = {"Authorization": "Bearer YOUR_JWT_TOKEN"}
response = requests.get("https://api.rememberizer.ai/api/v1/account/", headers=headers)
data = response.json()
print(data)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/zh-cn/kai-fa-zhe-zi-yuan/api-docs/retrieve-current-user-account-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
